Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.deployment
Class DeploymentStrategy

    java.lang.Object
      org.jboss.seam.deployment.DeploymentStrategy

Direct Known Subclasses:
  HotDeploymentStrategy, StandardDeploymentStrategy

    public abstract class DeploymentStrategy

extends Object

A `DeploymentStrategy` coordinates the deploy of resources for a Seam application.

Author:
  Pete Muir

Constructor Summary
`DeploymentStrategy()`

Method Summary
`abstract ClassLoader` | `getClassLoader()` Get the classloader to use
`Map<String,DeploymentHandler>` | `getDeploymentHandlers()` Get (or modify) any registered `DeploymentHandler`s Implementations of `DeploymentStrategy` may add default `DeploymentHandler`s
`protected Scanner` | `getScanner()` Get the scanner being used
`void` | `handle(String name)` Handle a resource using any registered `DeploymentHandler`s
`abstract void` | `scan()` Do the scan for resources

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeploymentStrategy

    public DeploymentStrategy()

Method Detail

### scan

    public abstract void scan()

  Do the scan for resources

### getScanner

    protected Scanner getScanner()

  Get the scanner being used

### getClassLoader

    public abstract ClassLoader getClassLoader()

  Get the classloader to use

### getDeploymentHandlers

    public Map<String,DeploymentHandler> getDeploymentHandlers()

  Get (or modify) any registered `DeploymentHandler`s Implementations of `DeploymentStrategy` may add default `DeploymentHandler`s

### handle

    public void handle(String name)

  Handle a resource using any registered `DeploymentHandler`s

  Parameters:
    `name` - Path to a resource to handle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD